<?php
// Карточка сеанса контроля знаний
include_once('c_poll_session.php') ;
class c_page_cab_poll_session_db extends c_page_cab_poll_session
{
 public $h1='Карточка сеанса контроля знаний - дамп БД' ;

 function get_cur_page_meta_tags()
 {
   if ($this->rec_personal['pkey']) $this->h1='Дамп записи МО при проверке сотрудника '.$this->rec_personal['obj_name'] ;
 }

 function block_main()
 { $this->page_title() ;
   damp_array($this->rec_poll,1,-1) ;
   ?><h3>Результаты ответов</h3><?
   execSQL('select * from poll_result where poll_id='.$this->rec_poll['pkey'].' order by pkey desc limit 10',2) ;

   ?><h3>Подпись сотрудника</h3><?
     if ($this->rec_poll['DTW_id']) echo 'Подпись сохранена по новой схеме<br>' ; else echo 'Подпись сохранена по старой схеме<br>' ;
   	 if ($this->rec_poll['DTW_id']) $rec_sign=execSQL_van('select * from obj_site_mo_session_DTW where pkey='.$this->rec_poll['DTW_id']) ;
   	 else                         $rec_sign=execSQL_van('select * from obj_site_mo_session_DTW where parent='.$this->rec_poll['pkey']) ;
     if ($rec_sign['pkey'])
     {  $arr[]=$rec_sign ;
     	print_2x_arr($arr);
     }
     else echo 'запись по подписи сотрудника не найдена<br>' ;

     /// !!! ВНИМАНИЕ - сделано через жопу - в имени файла используется ID rec МО
     ?><h3>Изображение подписи сотрудника</h3><?
     if ($rec_sign['img_dir'] and file_exists(_DIR_TO_ROOT.$rec_sign['img_dir'])) $img_dir=_DIR_TO_ROOT.$rec_sign['img_dir'] ; // новя схема
     else                                                                         $img_dir=ESMO()->get_mo_DTW_img_dir_by_id($this->rec_poll['pkey'],'dir') ; // старая схема

     echo 'Файл <strong>'.hide_server_dir($img_dir).'</strong><br>' ;
     if (file_exists($img_dir))
      { ?><img src="<?echo hide_server_dir($img_dir)?>"><?
      } else echo '<div class=red>Файл '.hide_server_dir($img_dir).' не найден</div>' ;


    /// !!! ВНИМАНИЕ - в старой версии сделано через жопу - в имени файла используется ID rec DTW. В новой версии используется ID MO
    ?><h3>Оцифровка подписи сотрудника</h3><?
    $data_dir=POLL()->get_mo_DTW_data_dir_by_id($rec_sign['pkey'],'dir') ; // старая схема
    echo 'Файл <strong>'.hide_server_dir($data_dir).'</strong><br>' ;
    if (file_exists($data_dir))
     { $cont=file_get_contents($data_dir) ;
       $data=unserialize($cont) ;
       print_2x_arr($data);
     } else echo '<div class=red>Файл '.hide_server_dir($data_dir).' не найден<br>' ;






 }



}

?>
